Chrome

Safari

IE 11+

Edge

Firefox

Any HTML5 capable browser is supported. No plug-ins or downloads are required. Simply connect to AppStream 2.0 by entering the URL provided by your administrator.